#
#  This file is part of Documancer (http://documancer.sf.net)
#
#  Copyright (C) 2005 Vaclav Slavik
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2 as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  $Id: dummy.py 397 2005-05-29 20:42:44Z vslavik $
#
#  Dummy implementation of the provider interface
#

from providers import DocumentationProvider

# --------------------------------------------------------------------------
# Dummy implementation of the provider in case a provider plugin is missing
# --------------------------------------------------------------------------

class DummyProvider(DocumentationProvider):
    
    def __init__(self, id):
        self.id = id
    
    def getID(self):
        return self.id
    
    def getName(self):
        return _('%s (stand-in)') % self.id
    
    def getURLForIndexing(self, book):
        return ''
    
    def getHomeURL(self, book):
        return ''

    def getContents(self, book):
        return None

    def getDescription(self):
        return _('Provider <b>%s</b> is not installed, using stand-in.') % \
               self.id
    
    def serve(self, book, url):
        return (_('<font size="+2">Documentation provider <font color="red">%s</font> needed to use this book is not installed.</font>') % self.id, 'text/html')

    def getConfigurationDialog(self, parent):
        from wxPython.wx import wxPanel
        return wxPanel(parent)
