#
#  This file is part of Documancer (http://documancer.sf.net)
#
#  Copyright (C) 2005 Vaclav Slavik
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2 as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  $Id: confgui.py 246 2005-01-26 22:07:37Z vaclavslavik $
#
#  WWW-based books - GUI configuration panel
#

from wxPython.wx import *
        
class WebSettingsPanel(wxPanel):
    def __init__(self, parent):
        wxPanel.__init__(self, parent, -1, style=wxTAB_TRAVERSAL)

        topsizer = wxBoxSizer(wxVERTICAL)
        sizer = wxBoxSizer(wxHORIZONTAL)
        sizer.Add(wxStaticText(self, -1, _('URL:')),
                  0, wxRIGHT|wxALIGN_CENTRE_VERTICAL, 5)
        self.url = wxTextCtrl(self, -1, '')
        sizer.Add(self.url, 1, wxALIGN_CENTRE_VERTICAL)
        topsizer.Add(sizer, 0, wxEXPAND | wxALL, 5)
        self.SetAutoLayout(1)
        self.SetSizer(topsizer)
        topsizer.Fit(self)
        topsizer.SetSizeHints(self)

        EVT_TEXT(self, -1, self.OnTextChange)

    def SetDialog(self, dlg):
        self.dialog = dlg

    def SetData(self, attr):
        if 'url' in attr:
            self.url.SetValue(attr['url'])

    def OnTextChange(self, event):
        self.dialog.UpdateBook()

    def GetData(self):
        return {'url': self.url.GetValue()}

