#
# Various debug definitions and functions
#
import sys
import time

__version__ = "$Revision: 1.2 $"
__author__ = "Leif Hedstrom <leif@ogre.com>"
__date__ = "Fri Feb 18 12:46:45 PST 2005"


# Debug levels, 32 bits of "features"
DEBUG_LEVELS = { "ALL" : 2**32-1,
                 "HTTP" : 2**0,
                 "PARAMS": 2**1,
                 "XML" : 2**2,
                 "MISC" : 2**3,
                 }


#
# Simple class to use instead of "object", to enable
# debugging messages etc.
#
class Debuggable(object):
    def __init__(self, debug=0):
        self._debug_level = debug

    def _debug_msg(self, msg, level, *args):
        if self._debug_level & level:
            sys.stderr.write("%s - [%s] - " % (sys.argv[0], time.ctime()))
            sys.stderr.write(msg % args)
            sys.stderr.write("\n")



#
# local variables:
# mode: python
# indent-tabs-mode: nil
# py-indent-offset: 4
# end:
