#
#  This file is part of Documancer (http://documancer.sf.net)
#
#  Copyright (C) 2002-2005 Vaclav Slavik
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2 as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  $Id: xmlutils.py 391 2005-05-01 21:19:37Z vslavik $
#
#  XML helper functions
#

try:
    import xml.dom.ext
    HAVE_PYXML=1
except ImportError:
    HAVE_PYXML=0

# XML I/O helper functions:

XML_NS_BOOKFILE = 'http://documancer.sourceforge.net/bookfile-0.2.4'
XML_NS_BOOKMARKS = 'http://documancer.sourceforge.net/bookmarks-0.2.6'

def xmlMakeNode(ns, doc, parent, name, text=None):
    e = doc.createElementNS(ns, name)
    if parent == None:
        doc.appendChild(e)
    else:
        parent.appendChild(e)
    if text != None:
        t = doc.createTextNode(text)
        e.appendChild(t)
    return e

def xmlGetNode(ns, parent, name):
    return parent.getElementsByTagNameNS(ns, name)[0]

def xmlGetText(nodep):
    rc = ''
    for node in nodep.childNodes:
        if node.nodeType == node.TEXT_NODE:
            rc = rc + node.data
    return rc
